SELECT 'DROP ' || object_type || ' ' || object_name || ';' AS naredba
  FROM user_objects
 WHERE object_type NOT IN ('PACKAGE BODY', 'JOB')
   AND object_name LIKE 'X%'
   AND NOT (object_name LIKE 'XDW%')
   AND NOT (object_name LIKE 'X251%')
   AND (object_type <> 'TABLE' OR TRUNC (created) < TRUNC (SYSDATE) - 150)
ORDER BY object_type, object_name;
